﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable dt1 = new DataTable();
        dt1.Columns.AddRange(new DataColumn[4] { new DataColumn("Id", typeof(int)),
                        new DataColumn("Name", typeof(string)),
                        new DataColumn("Country",typeof(string)),
                        new DataColumn("IsChecked", typeof(string))});
        dt1.Rows.Add(1, "John Hammond", "UnitedStates", "false");
        dt1.Rows.Add(2, "Sam", "India", "true");
        dt1.Rows.Add(3, "Suzanne Mathews", "Russia", "false");
        dt1.Rows.Add(4, "Robert Schidner", "Russia", "true");
        GridView2.DataSource = dt1;
        GridView2.DataBind();

        for (int j = 0; j < GridView2.Rows.Count; j++)
        {

            GridView2.Rows[j].Cells[3].BackColor = System.Drawing.Color.Green;
            CheckBox cb = new System.Web.UI.WebControls.CheckBox();
            cb.ID = "chkChecked_" + j;
            cb.EnableViewState = true;
            cb.Text = "chk" + j;
            GridView2.Rows[j].Cells[3].Controls.Add(cb);

        }
    }

    protected void lbnSelect_Click(object sender, EventArgs e)
    {
        GridViewRow row = (GridViewRow)((LinkButton)sender).NamingContainer;
        //row.RowIndex: Get the current row index.
        CheckBox cb = (CheckBox)row.Cells[3].FindControl(string.Format("chkChecked_{0}", row.RowIndex));
        //check whether the checkbox is null.
        if (cb != null)
        {
            //check whether the checkbox is checked.
            if (cb.Checked)
                lblResult.Text = cb.Text;
        }

    }
}