﻿using System;
using System.Linq;
using TestModel;
using System.Web.UI.WebControls;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            this.Bind();
        }
    }

    private void Bind()
    {
        TestEntities test = new TestEntities();
        gvMembsers.DataSource = from m in test.members
                                select m;
        gvMembsers.DataBind();
    }

    protected void gvMembsers_RowDataBound(object sender, System.Web.UI.WebControls.GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            CheckBox chk = new CheckBox();
            chk.EnableViewState = true;
            chk.Enabled = true;
            chk.ID = "chkb";
            chk.CheckedChanged += new EventHandler(CheckBox_CheckedChanged);
            e.Row.Cells[0].Controls.Add(chk);
            e.Row.TableSection = TableRowSection.TableBody;
        }
    }

    protected void CheckBox_CheckedChanged(object sender, EventArgs e)
    {
        //GridViewRow row = ((sender as CheckBox).NamingContainer) as GridViewRow;
        //string id = row.Cells[0].Text;
        //TestEntities test = new TestEntities();
        //string query = "INSERT INTO oldMember(id,name,age,location)";
        //query += "SELECT id,name,age,location FROM Members WHERE id=@ID";
        //query += "DELETE FROM Members WHERE id=@ID";
        // test.InsertDelete(Convert.ToInt32(id));
        this.Bind();
    }
    protected void btnInsert_Click(object sender, EventArgs e)
    {
        Button btn = (sender) as Button;
        foreach (GridViewRow row in gvMembsers.Rows)
        {
            string id = row.Cells[0].Text;
            TestEntities test = new TestEntities();
            test.ImsertDelete(Convert.ToInt32(id));
        }
    }
}